### Name: extractPrediction
### Title: Extract predictions and class probabilities from train objects
### Aliases: extractPrediction extractProb
### Keywords: manip

### ** Examples

   ## Not run: 
##D data(Satellite)
##D numSamples <- dim(Satellite)[1]
##D set.seed(716)
##D 
##D varIndex <- 1:numSamples
##D 
##D trainSamples <- sample(varIndex, 150)
##D 
##D varIndex <- (1:numSamples)[-trainSamples]
##D testSamples <- sample(varIndex, 100)
##D 
##D varIndex <- (1:numSamples)[-c(testSamples, trainSamples)]
##D unkSamples <- sample(varIndex, 50)
##D 
##D trainX <- Satellite[trainSamples, -37]
##D trainY <- Satellite[trainSamples, 37]
##D 
##D testX <- Satellite[testSamples, -37]
##D testY <- Satellite[testSamples, 37]
##D 
##D unkX <- Satellite[unkSamples, -37]
##D 
##D knnFit <- train(trainX, trainY, "knn")
##D rpartFit <- train(trainX, trainY, "rpart")
##D 
##D predTargets <- extractPrediction(list(knnFit, rpartFit), testX = testX, testY = testY, unkX = unkX)
##D    
##D   
## End(Not run)



