### Name: train
### Title: Fit Predictive Models over Different Tuning Parameters
### Aliases: train train.default
### Keywords: models

### ** Examples

data(iris)
TrainData <- iris[,1:4]
TrainClasses <- iris[,5]

knnFit1 <- train(TrainData, TrainClasses, "knn", tuneLength = 10,
   trControl = trainControl(method = "cv"))

knnFit2 <- train(TrainData, TrainClasses, "knn", tuneLength = 10, 
   trControl = trainControl(method = "boot"))

library(MASS)
nnetFit <- train(TrainData, TrainClasses, "nnet", 
   tuneLength = 2, trace = FALSE, maxit = 100)

library(mlbench)
data(BostonHousing)

# for illustration, converting factors
trainX <- model.matrix(medv ~ . - 1, BostonHousing)

lmFit <- train(trainX, BostonHousing$medv, "lm")

library(rpart)
rpartFit <- train(trainX, BostonHousing$medv, "rpart", tuneLength = 9)



